Summary:	A netload plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka obciążanie sieci dla panelu Xfce
Name:		xfce4-netload-plugin
Version:	1.2.4
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-netload-plugin/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	ce53e1135e4bff5afcd899627110bd11
Patch0:		no-sysctl-on-linux.patch
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-netload-plugin
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.12.0
BuildRequires:	xfce4-panel-devel >= 4.12.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.12.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin displays the current load of the network interfaces of
your choice in the panel.

%description -l pl.UTF-8
Wtyczka ta wyświetla aktualne obciążenie wybranych interfejsów
sieciowych na panelu.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK
%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/libnetload.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libnetload.so
%{_datadir}/xfce4/panel-plugins/netload.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/scalable/*/*.svg
%changelog
* Tue Mar 31 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-netload-plugin.git;a=log;h=master

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 9a8e822
- sysctl is not used on linux and that header breaks build on x32
- rel 2

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 0fa57be
- up to 1.2.4

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c3c2d0c
- updated gettext BR

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 948ec15
- updated files
- rel 2

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 736636e
- up to 1.2.2

* Sat Aug 16 2014 Jan Rękorajski <baggins@pld-linux.org> ce99a60
- up to 1.2.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 497ec6c
- rel 2

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> ae56f61
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 706aa48
- updated to 1.1.0

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> 705a367
- rel 2
- port to libxfce4ui

* Tue Feb 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 9af0c3c
- updated to 1.0.0

* Mon Feb 14 2011 Elan Ruusamäe <glen@pld-linux.org> bf840cc
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 739220f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a135dfe
- converted to UTF-8

* Fri Jan 26 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 555345c
- up to 0.4.0

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 8750488
- updated URLs

* Fri May 20 2005 Karol Krenski <charles@pld-linux.org> 62c2c3f
- updated to 0.3.2
- ac/am, BR: autoconf, automake, gettext-devel, libtool

* Wed Mar 09 2005 havner <havner@pld-linux.org> 99a4e3e
- rel up for rebuild with xfce 4.2

* Wed Feb 09 2005 Karol Krenski <charles@pld-linux.org> 04e7615
- updated to 0.3.1

* Mon Jan 17 2005 Karol Krenski <charles@pld-linux.org> 7635e42
- updated to 0.2.4

